// You can import API functions like this from D3.js.
import { select,
  csv,
  scaleLinear,
  max,
  scaleBand,
  axisLeft,
  axisBottom } from 'd3';

// You can import local modules like this. See message.js!
import { message } from './myMessage';

// This line uses D3 to set the text of   the message div.
//select('#message').text(message);

const svg=select('svg');

const width=+svg.attr("width");
const height=+svg.attr('height');
const render=data=>{
    const xScale=scaleLinear()
    						.domain([0,max(data,d=>d.population])
                .range([0,width]);

    const yScale=scaleBand().domain(data.map(d=>d.country))
    											.range([0.height]);

    svg.selectAll('rect').data(data)
       .enter().append("rect")
        .attr("y",d=>yScale(d.country))
        .attr("width",d=>xScale(d.population))
        .attr("height",yScale.bandwidth());
}


csv('data.csv').then(data=>{

  data.forEach(d=>{
  	  d.population=+d.population*1000;
  });
  
  render(data);
});